Zabbix Web 介面 popup_bitem.php itemid 參數 SQL 插入

high Nessus Plugin ID 62757

Synopsis

遠端 web 伺服器主控的一個 PHP 應用程式容易受到 SQL 插入攻擊。

描述

遠端 web 伺服器主控的 Zabbix web 介面版本受到一個 SQL 插入弱點影響。該弱點存在於 'popup_bitem.php' 指令碼中,其無法在於資料庫查詢中使用 'itemid' 參數之前正確清理使用者對該參數提供的輸入。這可允許攻擊者操控這類查詢,進而導致操控或洩漏任意資料。

解決方案

升級至 1.8.15rc1 / 2.02rc1 / 2.1.0 或更新版本。

另請參閱

https://support.zabbix.com/browse/ZBX-5348

https://www.zabbix.com/rn/rn1.8.15rc1

https://www.zabbix.com/rn/rn2.0.2rc1

Plugin 詳細資訊

嚴重性: High

ID: 62757

檔案名稱: zabbix_frontend_itemid_sqli.nasl

版本: 1.12

類型: remote

系列: CGI abuses

已發布: 2012/10/30

已更新: 2022/4/11

組態: 啟用徹底檢查

風險資訊

VPR

風險因素: High

分數: 7.4

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:H/RL:OF/RC:C

弱點資訊

CPE: cpe:/a:zabbix:zabbix

必要的 KB 項目: www/zabbix

排除在外的 KB 項目: Settings/disable_cgi_scanning

可被惡意程式利用: true

可輕鬆利用: No exploit is required

由 Nessus 利用: true

修補程式發佈日期: 2012/7/19

弱點發布日期: 2012/7/18

惡意利用途徑

Elliot (Zabbix 2.0 SQL Injection)

參考資訊

CVE: CVE-2012-3435

BID: 54661

EDB-ID: 20087